# generated by cabal-rpm-2.0.9
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name ghc-lib-parser
%global pkgver %{pkg_name}-%{version}

Name:           ghc-%{pkg_name}
Version:        8.10.7.20220219
Release:        2%{?dist}
Summary:        The GHC API, decoupled from GHC versions

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources
# s390x may require ghc-8.10 to build
# https://github.com/digital-asset/ghc-lib/issues/184 (s390x)
# https://bugzilla.redhat.com/show_bug.cgi?id=1806109
ExcludeArch:    s390x

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-array-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-binary-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-pretty-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-unix-prof
BuildRequires:  alex
BuildRequires:  happy
# End cabal-rpm deps

%description
A package equivalent to the 'ghc' package, but which can be loaded on many
compiler versions.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
%ifarch armv7hl
# https://bugzilla.redhat.com/show_bug.cgi?id=1806116
%define cabal_configure_options --ghc-options="-O0"
%endif
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
%{_datadir}/%{pkgver}
# End cabal-rpm files


%files devel -f %{name}-devel.files


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.10.7.20220219-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 07 2022 Jens Petersen <petersen@redhat.com> - 8.10.7.20220219-1
- https://hackage.haskell.org/package/ghc-lib-parser-8.10.7.20220219/changelog

* Thu Mar 10 2022 Jens Petersen <petersen@redhat.com> - 8.10.5.20210606-3
- rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.10.5.20210606-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 8.10.5.20210606-1
- update to 8.10.5.20210606

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 8.10.3.20201220-1
- update to 8.10.3.20201220

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.10.2.20200808-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.10.2.20200808-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep  1 16:13:02 +08 2020 Jens Petersen <petersen@redhat.com> - 8.10.2.20200808-1
- update to 8.10.2.20200808
- disable s390x (#1806109)
- -O0 on armv7hl (#1806116)

* Fri Jul  3 2020 Jens Petersen <petersen@redhat.com> - 8.10.1.20200523-1
- spec file generated by cabal-rpm-2.0.6
